%{!?kernel: %{expand: %%define kernel %(uname -r)}}
%define kversion %(echo %{kernel} | sed -e s/smp// -)

%define kernel_ver_str %(echo %{kversion} | tr -s '-' '_')

%define kmajor %(echo %{kversion} | cut -d'-' -f1)
%define kminor %(echo %{kversion} | cut -d'-' -f2)
%if %(echo %{kernel} | grep -c smp)
        %{expand:%%define ksmp -smp}
%endif
#define kconfig  /usr/src/linux-%(echo %{kernel})/configs/kernel-%{kmajor}-i686%{?ksmp}.config

%define mname madwifi
%define mversion 0.9.4.11
%define mrelease 2.PU_IAS.1

%define buildsmp 1

%ifnarch i686 x86_64 athlon
%define buildsmp 0
%endif

Name: %{mname}
Version: %{mversion}
Release: %{mrelease}
License: Other
Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-root
Group: System Environment
Summary: Madwifi drivers for atheros based wireless cards
BuildRequires: kernel-source, sharutils

%description
** BUILT FOR PRIVATE PU_IAS USE, REDISTRIBUTION NOT ALLOWED **
        ** PU_IAS NOT RESPONSIBLE FOR REDISTRIBUTION **

Atheros wireless network driver

%package -n kernel-%{name}
Release: %{mrelease}_%{kernel_ver_str}
License: Other
Summary: Madwifi drivers for atheros based wireless cards
Group: System Environment
Requires: kernel = %{kversion}
Provides: kernel-module kernel-modules

%description -n kernel-%{name}
** BUILT FOR PRIVATE PU_IAS USE, REDISTRIBUTION NOT ALLOWED **
        ** PU_IAS NOT RESPONSIBLE FOR REDISTRIBUTION **
                                                                                                                             
Atheros wireless network driver

%if %{buildsmp}
%package -n kernel-smp-%{name}
Release: %{mrelease}_%{kernel_ver_str}
License: Other
Summary: Madwifi drivers for atheros based wireless cards
Group: System Environment
Requires: kernel-smp = %{kversion}
Provides: kernel-module kernel-modules

%description -n kernel-smp-%{name}
** BUILT FOR PRIVATE PU_IAS USE, REDISTRIBUTION NOT ALLOWED **
        ** PU_IAS NOT RESPONSIBLE FOR REDISTRIBUTION **
                                                                                                                             
Atheros wireless network driver
%endif

%prep
%setup -q

%build
%ifarch %x86
export TARGET=i386-elf
%endif
%ifarch x86_64 ia32e
export TARGET=x86_64-elf
%endif
export TOOLPREFIX=`which gcc|sed -e's,gcc$,,'`
echo %{kernel} - %{kmajor}
cp -ar /usr/src/linux-%{kversion} .
cd linux-%{kversion}
	perl -pi -e 's#%{kminor}custom#%{kminor}#' Makefile
	make distclean >/dev/null
	cp -f configs/kernel-%{kmajor}-%{_target_cpu}.config .config
	make symlinks oldconfig >/dev/null
	make dep >/dev/null
cd ..
export KERNELRELEASE=%{kversion} KERNELPATH=`pwd`/linux-%{kversion} KERNELVERSION=%{kversion}
make clean
make all
mkdir done-up
make install DESTDIR=`pwd` MODULEPATH=done-up
%if %{buildsmp}
cd linux-%{kversion}
	make distclean >/dev/null
	cp -f configs/kernel-%{kmajor}-%{_target_cpu}-smp.config .config
	make symlinks oldconfig
	make dep >/dev/null
cd ..
make clean
make all
mkdir done-smp
make install DESTDIR=`pwd` MODULEPATH=done-smp
%endif

%install
test -d $RPM_BUILD_ROOT/lib/modules/%{kversion}/net    || mkdir -p $RPM_BUILD_ROOT/lib/modules/%{kversion}/net
install -m 644 done-up/* $RPM_BUILD_ROOT/lib/modules/%{kversion}/net
%if %{buildsmp}
test -d $RPM_BUILD_ROOT/lib/modules/%{kversion}smp/net || mkdir -p $RPM_BUILD_ROOT/lib/modules/%{kversion}smp/net
install -m 644 done-smp/* $RPM_BUILD_ROOT/lib/modules/%{kversion}smp/net
%endif

%post -n kernel-%{name}
/sbin/depmod -ae

%if %{buildsmp}
%post -n kernel-smp-%{name}
/sbin/depmod -ae
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -n kernel-%{name}
%defattr(-,root,root)
%doc README COPYRIGHT
/lib/modules/%{kversion}/net/*

%if %{buildsmp}
%files -n kernel-smp-%{name}
%defattr(-,root,root)
%doc README COPYRIGHT
/lib/modules/%{kversion}smp/net/*
%endif

%changelog
* Sun Sep 05 2004 Josko Plazonic <plazonic@math.princeton.edu>
- upgraded to 0.9.3.1

* Tue Jul 13 2004 Thomas Uphill <uphill@math.ias.edu>
- updated to version 0.8.6.1

* Mon May 03 2004 Josko Plazonic <plazonic@math.princeton.edu>
- updated to version 0.8.5.4

* Tue Jul 08 2003 Thomas Uphill <uphill@ias.edu>
- Initial version
